样式定制
您可以通过应用特定样式来自定义编辑器组件的外观。
为编辑器容器定义 CSS 类
<script setup>
import { Editor } from "@svar-ui/vue-editor";
</script>
<template>
<Editor css="myBox" />
</template>
此功能允许为编辑器的主容器元素指定 CSS 类。css 属性可用于为编辑器容器应用自定义样式,使开发者能够修改其视觉设计,以契合应用程序的主题或布局。
在此示例中,myBox CSS 类需在样式表中预先定义。当编辑器需要与周围的 UI 元素保持一致,或需要具备独特的视觉特征(如特定的内边距、边框或背景色)时,此方法非常实用。
禁用字体
如需禁用主题中使用的字体,可使用主题的 fonts 属性,并将其设置为 false:
<script setup>
import { Willow } from "@svar-ui/vue-core";
import { Editor } from "@svar-ui/vue-editor";
</script>
<template>
<div style="width:300px">
<Willow :fonts="false">
<Editor />
</Willow>
</div>
</template>
注意
请注意,如果您关闭了默认字体,则需要自行引入所需的字体。
相关文章: 视觉主题

跳到主要内容

样式定制

您可以通过应用特定样式来自定义编辑器组件的外观。

为编辑器容器定义 CSS 类

import { Editor } from "@svar-ui/react-editor";
import "@svar-ui/react-editor/all.css";

function App() {
return <Editor css="myBox" />;
}

此功能允许将 CSS 类分配给编辑器的主容器元素。css 属性可用于向编辑器容器应用自定义样式,使开发者能够根据应用程序的主题或布局调整其视觉设计。

在此示例中,myBox CSS 类应预先在样式表中定义。当编辑器需要与周围的 UI 元素保持一致,或具有特定的视觉特征(如特定的内边距、边框或背景色)时,此方法非常有用。

禁用字体

如需禁用主题中使用的字体,可使用主题的 fonts 属性并将其设置为 false

import { Willow } from "@svar-ui/react-core";
import { Editor } from "@svar-ui/react-editor";
import "@svar-ui/react-editor/all.css";

function App() {
return (
<div style={{ width: 300 }}>
<Willow fonts={false}>
<Editor />
</Willow>
</div>
);
}
注意

请注意,如果您禁用了默认字体,则需要自行引入所需的字体。

相关文章: 视觉主题